Subject: bug#66022: 30.0.50; kmacro overwriting global keybindings

From: Gerd Möllmann <[email-masked]>
Date: Sun, 17 Sep 2023 13:26:49 +0200

On 23-09-17 13:23 , Eli Zaretskii wrote:
>> From: Gerd Möllmann <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Sun, 17 Sep 2023 13:07:47 +0200
>>
>> Eli Zaretskii <[email-masked]> writes:
>>
>>> Could it be that you (or something else) reloaded loaddefs?
>>
>> It wasn't me, for sure, but that's what I also suspect is happening
>> somehow.  An indicator for that is that the kmacro and two-column
>> bindings appeared together.  These are the only 2 packages putting
>> global-set-keys into loaddefs.
> 
> Maybe try using eval-after-load to catch the culprit?

That's a good idea!  I'll put that in my init.el.

The ASAN build on my old Macbook is so slow, it's no fun.

> load-history should also tell you if loaddefs was loaded, I think.